<!-- Центральный блок -->
<div class="left left_row">
	<?php 
	// Вывод строки навигации
	$InformationSystem = & singleton('InformationSystem');
	
	// Определяем информацию об информационной системе, связанной с текущим узлом
	$InformationSystem_id = $InformationSystem->GetInformationSystemByStructureId(CURRENT_STRUCTURE_ID);
	
	$param = array();
	
	$external_propertys = array();
	
	// Если с узлом структуры связана ИС
	if ($InformationSystem_id)
	{
		$result = $InformationSystem->GetInformationFromPath($InformationSystem_id, '', false);
	
		// определяем id информационного элемента
		if ($result['item'])
		{
			$item_id = $InformationSystem->GetIdInformationItem($result['item'], $result['group'], $InformationSystem_id);
	
			if ($item_id != 0)
			{
				$external_propertys['item'] = $item_id;
	
				$param['show_groups'] = true;
				$param['show_items'] = array($item_id);
			}
		}
		else
		{
			$item_id = false;
		}
	
		if (is_array($result) && $result['group'] > 0)
		{
			// Передаем во внешние параметры ID элемента и группы
			$external_propertys['group'] = $result['group'];
			$param['show_groups'] = true;
		}
	
		// Данные для хлебных крошек заполняем только для текущей ИС
		$param['show_information_systems'][] = $InformationSystem_id;
	}
	
	$structure = & singleton('Structure');
	$structure->ShowStructure(false, 'ХлебныеКрошки', $param, $external_propertys);
	
	// /Хлебные крошки
	?>

	<?php
	$kernel->show_current_page();
	?>
</div>

<!-- Правый блок -->
<div class="right right_row" >
	<!-- Метки -->
	<?php 
	// Вывод меток информационной системы
	$InformationSystem = & singleton('InformationSystem');

	// Код информационной системы
	$InformationSystemId = to_int($GLOBALS['LA']['InformationSystemID']);

	$InformationSystem->ShowTagsCloud($InformationSystemId, 'ОблакоТэговИнформационнойСистемы');
	?>
	
	<?php
	// Если модуль поиска доступен
	if (class_exists('Search'))
	{
	?>
	<!-- Поиск -->
	<div class="red_block search">
		<div class="tl"></div>
		<div class="tr"></div>
		<div class="br"></div>
		<div class="bl"></div>
		<form action="/search/" method="GET">
			<input type="text" class="text" name="text" value="<?php echo isset($_GET['text']) ? htmlspecialchars($_GET['text']) : '' ?>" />
			<input type="image" src="/images/search_white.gif" title="Поиск"/>
		</form>
	</div>
	<?php
	}
	?>
	
	<!-- Краткая корзина -->
	<?php
	if (class_exists('shop'))
	{
		$shop = & singleton('shop');
		// Идентификатор магазина
		$shop_id = 1;
		$shop->ShowCart($shop_id, false, "МагазинКорзинаКраткая");
	}
	?>
	
	<?php
	if (class_exists('polls'))
	{
		$polls = & singleton('polls');
		// Идентификатор группы опросов
		$PollsGroupID = 1;
		$polls->ShowPollsGroup($PollsGroupID, 'ОтображениеОпросаБезРезультатов');
	}
	?>
</div>